activemq-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jim Melton (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMQCPP-594) ActiveMQ-CPP does not build on Solaris 11
Date Tue, 02 Feb 2016 20:25:39 GMT

    [ https://issues.apache.org/jira/browse/AMQCPP-594?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15128956#comment-15128956
] 

Jim Melton commented on AMQCPP-594:
-----------------------------------

The issue is actually in line 17899 of configure, where -library=stlport4 is unconditionally
asserted for all non-GCC compilers. This should not be asserted; if desired, the user can
compile with STLPort by passing in the appropriate CFLAGS and CXXFLAGS.

> ActiveMQ-CPP does not build on Solaris 11
> -----------------------------------------
>
>                 Key: AMQCPP-594
>                 URL: https://issues.apache.org/jira/browse/AMQCPP-594
>             Project: ActiveMQ C++ Client
>          Issue Type: Bug
>          Components: Build Support
>    Affects Versions: 3.9.0
>         Environment: Solaris 11 (sparc). Solaris Studio 12.3
>            Reporter: Mark Williams
>            Assignee: Timothy Bish
>            Priority: Minor
>
> Using:
> Configure options:
> ./configure '--disable-ssl' '--prefix=<dir>' '--with-apr=<dir>'
> I get error:
> CC: -library=Cstd cannot be used with -library=stlport4
> [Removing -library=Cstd -library=Crun from the build fixes this]



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message